## hubzero-submit-pegasus 2.0.0+4.0.0

=== Makefile ===
# @package      hubzero-submit-pegasus
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

INSTDIR=$(DESTDIR)/opt
ENVIRONDIR=$(DESTDIR)/etc/environ.d
ETCDIR=$(DESTDIR)/etc

PEGASUSVERSION = 4.0.0
PEGASUSTARBALL = pegasus-binary-4.0.0-x86_64_deb_6.tar.gz

PEGASUS_ROOT=${INSTDIR}/pegasus
PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}
ENVIRON_ROOT=${ENVIRONDIR}

.PHONY: default all build install configure clear uninstall

default all build:
	@true

install:
	install --mode 0755 --directory ${PEGASUS_ROOT}
	install --mode 0755 --directory ${ENVIRON_ROOT}
	tar -C ${PEGASUS_ROOT} -zxvpf ${PEGASUSTARBALL}
	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_INSTALL)#" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}

configure:
	@true

clean:
	@true
	
uninstall:
	rm -fr ${PEGASUS_INSTALL}

## hubzero-submit-pegasus 2.0.1+4.0.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-INSTDIR=$(DESTDIR)/opt
+INSTDIR=$(DESTDIR)/usr/local
 ENVIRONDIR=$(DESTDIR)/etc/environ.d
 ETCDIR=$(DESTDIR)/etc

=== share/doc/pegasus/schemas/monitord/Makefile ===
# Makefile for monitoring event Yang schemas
#
# Prerequisites:
# 	pyang - http://code.google.com/p/pyang/
#

# Schema directory is by default relative to
# this directory
schemadir := ../../../etc

# Python Yang (pyang) setup
PYANG_HOME := $(HOME)/local
yang2dsdl := PYANG_XSLT_DIR=$(PYANG_HOME)/share/yang/xslt	\
	     PYANG_RNG_LIBDIR=$(PYANG_HOME)/share/yang/schema \
	     yang2dsdl

# Pick a schema version
schema_ver=2011-05-04

default: validate

# Transform BP log to XML
transform: output-file.xml

%.xml: %.bp
	nl_load xml pretty=true netconf=true < output-file.bp > output-file.xml

# Validate XML
validate: transform
	$(yang2dsdl) -v output-file.xml $(schemadir)/stampede-$(schema_ver).yang 

# Clean up
clean:
	/bin/rm -f *.dsrl *.rng *.sch *.xml

## hubzero-submit-pegasus 2.0.2+4.0.0

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	install --mode 0755 --directory ${PEGASUS_ROOT}
 	install --mode 0755 --directory ${ENVIRON_ROOT}
 	tar -C ${PEGASUS_ROOT} -zxvpf ${PEGASUSTARBALL}
-	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_INSTALL)#" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}
+	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_INSTALL)#g" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}
 
 configure:
 	@true

## hubzero-submit-pegasus 2.0.3+4.0.0

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 PEGASUS_ROOT=${INSTDIR}/pegasus
 PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}
+PEGASUS_USE_INSTALL=/usr/local/pegasus/pegasus-${PEGASUSVERSION}
 ENVIRON_ROOT=${ENVIRONDIR}
 
 .PHONY: default all build install configure clear uninstall
@@ -45,7 +46,7 @@
 	install --mode 0755 --directory ${PEGASUS_ROOT}
 	install --mode 0755 --directory ${ENVIRON_ROOT}
 	tar -C ${PEGASUS_ROOT} -zxvpf ${PEGASUSTARBALL}
-	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_INSTALL)#g" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}
+	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_USE_INSTALL)#g" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}
 
 configure:
 	@true

## hubzero-submit-pegasus 4.1.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-pegasus
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -29,8 +29,8 @@
 ENVIRONDIR=$(DESTDIR)/etc/environ.d
 ETCDIR=$(DESTDIR)/etc
 
-PEGASUSVERSION = 4.0.0
-PEGASUSTARBALL = pegasus-binary-4.0.0-x86_64_deb_6.tar.gz
+PEGASUSVERSION = 4.1.0
+PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_6.tar.gz
 
 PEGASUS_ROOT=${INSTDIR}/pegasus
 PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}

## hubzero-submit-pegasus 4.1.0u1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-pegasus
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,21 +25,18 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-INSTDIR=$(DESTDIR)/usr/local
-ENVIRONDIR=$(DESTDIR)/etc/environ.d
-ETCDIR=$(DESTDIR)/etc
+USRLOCAL=$(DESTDIR)/usr/local
+ETC=$(DESTDIR)/etc/environ.d
 
 PEGASUSVERSION = 4.1.0
 PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_6.tar.gz
 
-PEGASUS_ROOT=${INSTDIR}/pegasus
+PEGASUS_ROOT=${USRLOCAL}/pegasus
 PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}
 PEGASUS_USE_INSTALL=/usr/local/pegasus/pegasus-${PEGASUSVERSION}
-ENVIRON_ROOT=${ENVIRONDIR}
+ENVIRON_ROOT=${ETC}/environ.d
 
-.PHONY: default all build install configure clear uninstall
-
-default all build:
+all:
 	@true
 
 install:
@@ -48,11 +45,13 @@
 	tar -C ${PEGASUS_ROOT} -zxvpf ${PEGASUSTARBALL}
 	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_USE_INSTALL)#g" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}
 
-configure:
+uninstall:
+	rm -fr ${PEGASUS_INSTALL}
+
+postinst:
 	@true
 
 clean:
 	@true
-	
-uninstall:
-	rm -fr ${PEGASUS_INSTALL}
+
+.PHONY: all install uninstall postinst clean

## hubzero-submit-pegasus 4.3.2u1

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,14 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
+ETC=$(DESTDIR)/etc
 USRLOCAL=$(DESTDIR)/usr/local
-ETC=$(DESTDIR)/etc/environ.d
 
-PEGASUSVERSION = 4.1.0
-PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_6.tar.gz
+DISTRIBUTION :=$(shell lsb_release -i -s)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+PEGASUSVERSION = 4.3.2
+PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
 
 PEGASUS_ROOT=${USRLOCAL}/pegasus
 PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}
@@ -41,9 +44,9 @@
 
 install:
 	install --mode 0755 --directory ${PEGASUS_ROOT}
-	install --mode 0755 --directory ${ENVIRON_ROOT}
+	install --mode 0755 --directory ${ETC}/environ.d
 	tar -C ${PEGASUS_ROOT} -zxvpf ${PEGASUSTARBALL}
-	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_USE_INSTALL)#g" pegasus.in  > ${ENVIRON_ROOT}/pegasus-${PEGASUSVERSION}
+	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_USE_INSTALL)#g" pegasus.in  > ${ETC}/environ.d/pegasus-${PEGASUSVERSION}
 
 uninstall:
 	rm -fr ${PEGASUS_INSTALL}

## hubzero-submit-pegasus 4.5.2

=== Makefile ===
# @package      hubzero-submit-pegasus
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://www.apache.org/licenses/LICENSE-2.0 Apache2
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc
USRLOCAL=$(DESTDIR)/usr/local

DISTRIBUTION :=$(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

PEGASUSVERSION = 4.5.2
PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz

PEGASUS_ROOT=${USRLOCAL}/pegasus
PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}
PEGASUS_USE_INSTALL=/usr/local/pegasus/pegasus-${PEGASUSVERSION}
ENVIRON_ROOT=${ETC}/environ.d

all:
	@true

install:
	install --mode 0755 --directory ${PEGASUS_ROOT}
	install --mode 0755 --directory ${ETC}/environ.d
	tar -C ${PEGASUS_ROOT} -zxvpf ${PEGASUSTARBALL}
	sed -e "s#@PEGASUS_INSTALL@#$(PEGASUS_USE_INSTALL)#g" pegasus.in  > ${ETC}/environ.d/pegasus-${PEGASUSVERSION}

uninstall:
	rm -fr ${PEGASUS_INSTALL}

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-submit-pegasus 4.5.2-3+deb6

=== debian/changelog ===
hubzero-submit-pegasus (4.5.2-3+deb6) unstable; urgency=low

  * update package build for new build machines

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 16:20:29 -0400

hubzero-submit-pegasus (4.5.2-1) unstable; urgency=low

  * bump pegasus version up to 4.5.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Sep 2015 13:12:38 -0400

hubzero-submit-pegasus (4.3.2u1-1) unstable; urgency=low

  * bump pegasus version up to 4.3.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Sep 2014 20:13:36 -0400

hubzero-submit-pegasus (4.1.0u1-1+deb7) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Sep 2014 17:22:26 -0400

hubzero-submit-pegasus (4.1.0-1) unstable; urgency=low

  * Start new release 4.1.0 [shira] 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 18 Aug 2013 10:57:46 -0400

hubzero-submit-pegasus (2.0.4+4.0.0-4) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 18 Aug 2013 10:55:57 -0400

hubzero-submit-pegasus (2.0.4+4.0.0-2) unstable; urgency=low

  * add java, perl, python dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 13:55:28 -0400

hubzero-submit-pegasus (2.0.3+4.0.0-1) unstable; urgency=low

  * fix pegasus path used to generate use script 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 22 Sep 2012 21:20:40 -0400

hubzero-submit-pegasus (2.0.2+4.0.0-1) unstable; urgency=low

  * fix use script sed substitutions 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 22 Sep 2012 21:03:32 -0400

hubzero-submit-pegasus (2.0.1+4.0.0-1) unstable; urgency=low

  * move install to /usr/local/pegasus
  * fix use script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 22 Sep 2012 20:54:46 -0400

hubzero-submit-pegasus (2.0.0+4.0.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 08 Sep 2012 14:29:46 -0400

=== debian/control ===
Source: hubzero-submit-pegasus
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), , libopenmpi1.3, libmysqld-dev  , libpq5
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-pegasus
Architecture: amd64
Depends: python2.6, java7-runtime | java6-runtime, perl, , libopenmpi1.3, libmysqld-dev  , libpq5, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero pegasus build for hubzero-submit
 HUBzero pegasus installation for submit infrastructure

## hubzero-submit-pegasus 4.5.2-3+deb7

=== Makefile ===
--- 
+++ 
@@ -24,16 +24,20 @@
 ETC=$(DESTDIR)/etc
 USRLOCAL=$(DESTDIR)/usr/local
 
-DISTRIBUTION :=$(shell lsb_release -i -s)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 PEGASUSVERSION = 4.5.2
+
+ifeq ($(DISTRIBUTION),Debian)
 PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
+else
+PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_rhel_$(MAJORVERSION).tar.gz
+endif
 
 PEGASUS_ROOT=${USRLOCAL}/pegasus
 PEGASUS_INSTALL=${PEGASUS_ROOT}/pegasus-${PEGASUSVERSION}
 PEGASUS_USE_INSTALL=/usr/local/pegasus/pegasus-${PEGASUSVERSION}
-ENVIRON_ROOT=${ETC}/environ.d
 
 all:
 	@true
@@ -46,6 +50,7 @@
 
 uninstall:
 	rm -fr ${PEGASUS_INSTALL}
+	rm -fr ${ETC}/environ.d/pegasus-${PEGASUSVERSION}
 
 postinst:
 	@true

=== debian/changelog ===
hubzero-submit-pegasus (4.5.2-3+deb7) unstable; urgency=low

  * update package build for new build machines

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 16:20:29 -0400

=== debian/control ===
Source: hubzero-submit-pegasus
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0),  , libopenmpi1.3 , libpq5
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-pegasus
Architecture: amd64
Depends: python2.7, java7-runtime | java6-runtime, perl,  , libopenmpi1.3 , libpq5, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero pegasus build for hubzero-submit
 HUBzero pegasus installation for submit infrastructure

=== debian/rules ===
#!/usr/bin/make -f
# @package      hubzero-submit-pegasus
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://www.apache.org/licenses/LICENSE-2.0 Apache2
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-pegasus install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-pegasus 4.5.2-3+deb8

=== debian/changelog ===
hubzero-submit-pegasus (4.5.2-3+deb8) unstable; urgency=low

  * update package build for new build machines

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 16:20:29 -0400

## hubzero-submit-pegasus 4.5.2-4+deb8

=== debian/changelog ===
hubzero-submit-pegasus (4.5.2-4+deb8) unstable; urgency=low

  * update package build for debian 8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 09 Aug 2017 16:19:10 -0400

hubzero-submit-pegasus (4.5.2-3) unstable; urgency=low

  * update package build for new build machines

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 16:20:29 -0400

=== debian/control ===
Source: hubzero-submit-pegasus
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0),   , python2.7,openjdk-7-jre-headless, libopenmpi1.6, libpq5
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-pegasus
Architecture: amd64
Depends: perl,   , python2.7,openjdk-7-jre-headless, libopenmpi1.6, libpq5, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero pegasus build for hubzero-submit
 HUBzero pegasus installation for submit infrastructure

## hubzero-submit-pegasus 4.8.0-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-pegasus
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://www.apache.org/licenses/LICENSE-2.0 Apache2
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -27,12 +27,12 @@
 DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
-PEGASUSVERSION = 4.5.2
+PEGASUSVERSION = 4.8.0
 
 ifeq ($(DISTRIBUTION),Debian)
-PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
+PEGASUSTARBALL = pegasus-nodocs-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
 else
-PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_rhel_$(MAJORVERSION).tar.gz
+PEGASUSTARBALL = pegasus-nodocs-$(PEGASUSVERSION)-x86_64_rhel_$(MAJORVERSION).tar.gz
 endif
 
 PEGASUS_ROOT=${USRLOCAL}/pegasus

=== debian/changelog ===
hubzero-submit-pegasus (4.8.0-1+deb8) unstable; urgency=low

  * bump pegasus version up to 4.8.0
  * minor packaging updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 12 Apr 2018 11:53:39 -0400

=== debian/control ===
Source: hubzero-submit-pegasus
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0),   , libopenmpi1.6, libpq5
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-pegasus
Architecture: amd64
Depends: python2.7, java7-runtime | java6-runtime, perl,   , libopenmpi1.6, libpq5, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero pegasus build for hubzero-submit
 HUBzero pegasus installation for submit infrastructure

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @package      hubzero-submit-pegasus
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://www.apache.org/licenses/LICENSE-2.0 Apache2
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.

## hubzero-submit-pegasus 4.8.0-2+deb7

=== share/pegasus/examples/glite-mpi-hw/Makefile ===
#
# Makefile 
#
INSTALL = install
RM      = rm -f
CXX     = mpicc
CXXFLAGS += -O
LD      = $(CXX)

ifndef ${prefix}
  prefix = .
endif

ifndef ${datadir}
  datadir = $(prefix)/share 
endif


%.o : %.c
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -c -o $@

all: pegasus-mpi-hw

pegasus-mpi-hw: pegasus-mpi-hw.o 
	$(LD) $(LDFLAGS) $^ -o $@ $(LOADLIBES)

pegasus-mpi.hw.o: pegasus-mpi-hw.c

test check: pegasus-mpi-hw
	@./pegasus-mpi-hw -o /dev/fd/1 || echo "test failed" && echo "test ok"

clean:
	$(RM) pegasus-mpi-hw.o core core.* 

distclean: clean
	$(RM) pegasus-mpi-hw

=== share/pegasus/init/mpi-hw/Makefile ===
#
# Makefile 
#
INSTALL = install
BIN_DIR = ./bin
RM      = rm -f
CXX     = cc
CXXFLAGS += -O
LD      = $(CXX)

ifndef ${prefix}
  prefix = .
endif

ifndef ${datadir}
  datadir = $(prefix)/share 
endif


%.o : %.c
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -c -o $@

all: pegasus-mpi-hw

pegasus-mpi-hw: pegasus-mpi-hw.o 
	$(LD) $(LDFLAGS) $^ -o $@ $(LOADLIBES)

pegasus-mpi.hw.o: pegasus-mpi-hw.c

test check: pegasus-mpi-hw
	@./pegasus-mpi-hw -o /dev/fd/1 || echo "test failed" && echo "test ok"

install: pegasus-mpi-hw
	$(INSTALL) -D pegasus-mpi-hw ${BIN_DIR}

clean:
	$(RM) pegasus-mpi-hw.o core core.* 

distclean: clean
	$(RM) ${BIN_DIR}/pegasus-mpi-hw

=== debian/changelog ===
hubzero-submit-pegasus (4.8.0-2+deb7) unstable; urgency=low

  * add debian 9 tarball

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:38:16 -0400

hubzero-submit-pegasus (4.8.0-1) unstable; urgency=low

  * bump pegasus version up to 4.8.0
  * minor packaging updates

 -- Steven Clark <clarks@purdue.edu>  Tue, 12 Apr 2018 11:53:39 -0400

## hubzero-submit-pegasus 4.8.0-2+deb8

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,11 @@
 PEGASUSVERSION = 4.8.0
 
 ifeq ($(DISTRIBUTION),Debian)
-PEGASUSTARBALL = pegasus-nodocs-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
+ifeq ($(MAJORVERSION),9)
+   PEGASUSTARBALL = pegasus-binary-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
+else
+   PEGASUSTARBALL = pegasus-nodocs-$(PEGASUSVERSION)-x86_64_deb_$(MAJORVERSION).tar.gz
+endif
 else
 PEGASUSTARBALL = pegasus-nodocs-$(PEGASUSVERSION)-x86_64_rhel_$(MAJORVERSION).tar.gz
 endif

=== debian/changelog ===
hubzero-submit-pegasus (4.8.0-2+deb8) unstable; urgency=low

  * add debian 9 tarball

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:38:16 -0400

## hubzero-submit-pegasus 4.8.0-4+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-pegasus
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.apache.org/licenses/LICENSE-2.0 Apache2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -18,7 +17,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETC=$(DESTDIR)/etc

=== debian/changelog ===
hubzero-submit-pegasus (4.8.0-4+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 12:25:41 -0700

hubzero-submit-pegasus (4.8.0-3) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 11:53:12 -0700

hubzero-submit-pegasus (4.8.0-2) unstable; urgency=low

  * add debian 9 tarball

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:38:16 -0400

=== debian/control ===
Source: hubzero-submit-pegasus
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0),   , libpq5
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-pegasus
Architecture: amd64
Depends: python2.7, java7-runtime | java6-runtime, perl,   , libpq5, ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero pegasus build for hubzero-submit
 HUBzero pegasus installation for submit infrastructure

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 # @package      hubzero-submit-pegasus
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.apache.org/licenses/LICENSE-2.0 Apache2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -19,7 +18,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
